OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignNominalDateAssignment Class Reference

`#include <StepAP214_AutoDesignNominalDateAssignment.hxx>`

Inheritance diagram for StepAP214_AutoDesignNominalDateAssignment:

[legend]

## Public Member Functions
Standard_EXPORT | StepAP214_AutoDesignNominalDateAssignment ()
| Returns a AutoDesignNominalDateAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Date)&aAssignedDate, const Handle(StepBasic_DateRole)&aRole)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Date)&aAssignedDate, const Handle(StepBasic_DateRole)&aRole, const Handle(StepAP214_HArray1OfAutoDesignDatedItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfAutoDesignDatedItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignDatedItem | Items () const
Standard_EXPORT StepAP214_AutoDesignDatedItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepAP214_HArray1OfAutoDesignDatedItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignNominalDateAssignment::StepAP214_AutoDesignNominalDateAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AutoDesignNominalDateAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_DateAssignment.

virtual Standard_EXPORT void StepAP214_AutoDesignNominalDateAssignment::Init | ( | const Handle(StepBasic_Date)& | aAssignedDate,
|  | const Handle(StepBasic_DateRole)& | aRole,
|  | const Handle(StepAP214_HArray1OfAutoDesignDatedItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AutoDesignNominalDateAssignment::Init | ( | const Handle(StepBasic_Date)& | aAssignedDate,
|  | const Handle(StepBasic_DateRole)& | aRole
| ) | `[virtual]`

| Reimplemented from StepBasic_DateAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignDatedItem StepAP214_AutoDesignNominalDateAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_AutoDesignDatedItem StepAP214_AutoDesignNominalDateAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignNominalDateAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AutoDesignNominalDateAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfAutoDesignDatedItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfAutoDesignDatedItem StepAP214_AutoDesignNominalDateAssignment::items`[private]`

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignNominalDateAssignment.hxx